// MagicTuneCmd.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <Windows.h>
#include <shlwapi.h>

int _tmain(int argc, _TCHAR* argv[])
{
	if(argc!=2) {
		printf("MagicTuneCmd 1.2\n");
		printf("Written 2006 by Sven Killig <sven@killig.de>\n");
		printf("Usage:\n");
		printf("MagicTuneCmd <Brightness>\n");
		printf("Brightness: 0-100\n");
	} else {
		HWND handle=FindWindow(NULL,"Magic Tune");
		if(handle) {
			printf("Setting Brightness to %s\n",argv[1]);
			PostMessage(handle,0x28d1,0x7d0,StrToInt(argv[1]));
			return 0;
		} else {
			handle=FindWindow(NULL,"MagicTune Premium");
			if(handle) {
				printf("Setting Brightness to %s\n",argv[1]);
				PostMessage(handle,0x28d1,0x3f2,StrToInt(argv[1]));
			} else {
				printf("MagicTune window not found!\n",argv[1]);
				return -1;
			}
		}
	}
}
